// ---------------------------------
// JJstorms CityRPG Client-Side
// ---------------------------------

$JJstormsCityRPG_ClientVersion = "1.71";
$JJstormsCityRPG_ClientPath = "Add-Ons/Client_JJstormsCityRPG";

function clientCmdJJRPVersion(%client)
{
	commandToServer('IHaveRPG',$JJstormsCityRPG_ClientVersion);
}

function clientcmdspawnlogo(%holiday) {
	
	%file = $JJstormsCityRPG_ClientPath @ "/shapes/decals/JJstormsCityRPG2";
	
	if(isFile(%file @ "_" @ %holiday @ ".png"))
		%file = %file @ "_" @ %holiday;
	
	%ext	= getWord(getRes(), 0) SPC mCeil((getWord(getRes(), 0) / 1440) * 600);
	%pos	= "0" SPC mFloor(getWord(getRes(), 1) - getWord(%ext, 1) + 5);
	%logo	= new GuiBitmapCtrl(SpawnLogo)
	{
		profile				= "HUDBrickNameProfile";
		horizSizing			= "left";
		vertSizing			= "bottom";
		position			= %pos;
		extent				= %ext;
		minExtent			= "0 0";
		visible				= true;
		bitmap				= %file;
		wrap				= false;
		lockAspectRatio			= true;
		alignLeft			= true;
		overflowImage			= false;
		keepCached			= false;
	};
	
	PlayGUI.add(%logo);
	%logo.schedule(8000, "delete");
}

// Scripts
exec($JJstormsCityRPG_ClientPath @ "/commands.cs");
exec($JJstormsCityRPG_ClientPath @ "/scripts/compass.cs");

// GUIs
exec($JJstormsCityRPG_ClientPath @ "/scripts/GUI/JJMain.gui");
exec($JJstormsCityRPG_ClientPath @ "/scripts/GUI/JJStats.gui");
exec($JJstormsCityRPG_ClientPath @ "/scripts/GUI/JJHelp.gui");