function clientcmdJJGUI_UpdateAll(%stats)
{
	if(%stats !$= "")
	{
		// Break it down
		%money = getword(%stats, 0);
		%bank = getword(%stats, 1);
		%loaned = getword(%stats, 2);
		%networth = getword(%stats, 3);
		%lots = getword(%stats, 4);
		%gender = getword(%stats, 5);
		%jobcolor = getword(%stats, 6);
		%job = getword(%stats, 7);
		%jobexp = getword(%stats, 8);
		%education = getword(%stats, 9);
		%hungercolor = getword(%stats, 10);
		%hungerstate = getword(%stats, 11);
		%student = getword(%stats, 12);
		%arrestrec = getword(%stats, 13);
		%wantedlevel = getword(%stats, 14);
		%demerits = getword(%stats, 15);
		%ticksleft = getword(%stats, 16);
		%bounty = getword(%stats, 17);
		%powerbill = getword(%stats, 18);
		%license = getword(%stats, 19);
		%light = getword(%stats, 20);
		%reincarnated = getword(%stats, 21);
		%sickness = getword(%stats, 22);
		%business = getword(%stats, 23);
		
		if(%money $= "" || %bank $= "" || %loaned $= "" || %networth $= "" || %lots $= "" || %gender $= "" || %jobcolor $= "" || %job $= "" || %jobexp $= "" || %education $= "" || %hungercolor $= "" || %hungerstate $= "" || %student $= "" || %arrestrec $= "" || %wantedlevel $= "" || %demerits $= "" || %ticksleft $= "" || %bounty $= "" || %powerbill $= "" || %license $= "" || %light $= "" || %reincarnated $= "" || %sickness $= "" || %business $= "")
		{
			if(%money $= "") { %stat = "Money"; }
			if(%bank $= "") { %stat = %stat SPC "Bank"; }
			if(%loaned $= "") { %stat = %stat SPC "Loan"; }
			if(%networth $= "") { %stat = %stat SPC "netWorth"; }
			if(%lots $= "") { %stat = %stat SPC "Lots"; }
			if(%gender $= "") { %stat = %stat SPC "Gender"; }
			if(%job $= "") { %stat = %stat SPC "Job"; }
			if(%jobcolor $= "") { %stat = %stat SPC "JobColor"; }
			if(%jobexp $= "") { %stat = %stat SPC "JobEXP"; }
			if(%education $= "") { %stat = %stat SPC "Education"; }
			if(%hungercolor $= "") { %stat = %stat SPC "HungerColor"; }
			if(%hungerstate $= "") { %stat = %stat SPC "HungerState"; }
			if(%student $= "") { %stat = %stat SPC "Student"; }
			if(%arrestrec $= "") { %stat = %stat SPC "ArrestRecord"; }
			if(%wantedlevel $= "") { %stat = %stat SPC "WantedLevel"; }
			if(%demerits $= "") { %stat = %stat SPC "Demerits"; }
			if(%ticksleft $= "") { %stat = %stat SPC "TicksLeft"; }
			if(%bounty $= "") { %stat = %stat SPC "Bounty"; }
			if(%powerbill $= "") { %stat = %stat SPC "Power"; }
			if(%license $= "") { %stat = %stat SPC "License"; }
			if(%light $= "") { %stat = %stat SPC "Light"; }
			if(%reincarnated $= "") { %stat = %stat SPC "Reincarnated"; }
			if(%sickness $= "") { %stat = %stat SPC "Sickness"; }
			if(%business $= "") { %stat = %stat SPC "Business"; }
			echo("Stat(s) that are empty: " @ %stat);
			echo("COMMAND JJGUI_UpdateAll() HAS INCORRECT AMOUNT OF VALUES");
			return;
		}
		else
		{
			// Money
			%networth = %money + %bank;
			if(%lots == 0) { %lots = "<color:ff0000>NONE"; } else { %lots = "<color:333333>" @ %lots; }
			clientcmdJJGUI_UpdateCash(%money, %bank, %loaned, %networth, %lots);
	
			// General
			if(strlwr(%gender) $= "male") { %gender = "<color:0000FF>Male"; } else { %gender = "<color:FF3333>Female"; }
			%hunger = "<color:" @ %hungercolor @ ">" @ %hungerstate;
			if(%student == 0) { %student = "<color:00ff00>Yes"; } else { %student = "<color:ff0000>No"; }
			%job = %jobcolor SPC %job;
			clientcmdJJGUI_UpdateGeneral(%gender, %job, %jobexp, %education, %hunger, %student);		
			
			// Po-Po Police
			%stars = %wantedlevel;
			if(%stars != 0)
			{
				for(%s=0;%s<%stars;%stars++)
				{
					%level = %level @ "*";
				}
			}
			else
			{
				%level = "None";
			}
			%wantedlevel = "<color:ffff00>" @ %level;
			clientcmdJJGUI_UpdatePolice(%arrestrec, %wantedlevel, %demerits, %ticksleft, %bounty);
			
			// Misc
			if(%powerbill == 0) { %powerbill = "No"; } else { %powerbill = "Yes"; }
			if(%license == 0) { %license = "No"; } else { %license = "Yes"; }
			if(%light == 0) { %light = "No"; } else { %light = "Yes"; }
			if(%reincarnated == 0) { %reincarnated = "No"; } else { %reincarnated = "Yes"; }
			if(getword(%sickness, 0) == 0) { %sickness = "Healthy"; } else { %sickness = getword(%sickness, 1); }
			clientcmdJJGUI_UpdateMisc(%powerbill, %license, %light, %reincarnated, %sickness, %business);
		}
	}
	else
	{
		warn("Error In recieving stats from server.");
		return;
	}
}

function clientcmdJJGUI_UpdateCash(%money, %bank, %loaned, %networth, %lots)
{
	Money.text = "<color:00ff00>$<color:333333>" @ %money @ ".00";
	Money.settext(Money.text);
	Bank.text = "<color:00ff00>$<color:333333>" @ %bank @ ".00";
	Bank.settext(Bank.text);
	loaned.text = "<color:00FF00>$<color:333333>" @ %loaned @ ".00";
	loaned.settext(loaned.text);
	networth.text = "<color:00FF00>$<color:333333>" @ %networth @ ".00";
	networth.settext(networth.text);
	lots.text = %lots;
	lots.settext(lots.text);
}

function clientcmdJJGUI_UpdateGeneral(%gender, %job, %jobexp, %education, %hunger, %student)
{
	job.text = "<color:" @ getword(%job, 0) @ ">" @ getword(%job, 1);
	job.settext(job.text);
	jobexp.text = %jobexp;
	jobexp.settext(jobexp.text);
	education.text = %education;
	education.settext(education.text);
	hunger.text = getword(%hunger, 0) @ getword(%hunger, 1);
	hunger.settext(hunger.text);
	student.text = %student;
	student.settext(student.text);
}

function clientcmdJJGUI_UpdatePolice(%arrestrec, %wantedlevel, %demerits, %ticksleft, %bounty)
{
	arrestrec.text = %arrestrec;
	arrestrec.settext(arrestrec.text);
	wantedlevel.text = %wantedlevel;
	wantedlevel.settext(wantedlevel.text);
	demerits.text = %demerits;
	demerits.settext(demerits.text);
	ticksleft.text = %ticksleft;
	ticksleft.settext(ticksleft.text);
	bounty.text = %bounty;
	bounty.settext(bounty.text);
}

function clientcmdJJGUI_UpdateMisc(%powerbill, %license, %light, %reincarnated, %sickness, %business)
{
	powerbill.text = %powerbill;
	powerbill.settext(powerbill.text);
	license.text = %license;
	license.settext(license.text);
	light.text = %light;
	light.settext(light.text);
	reincarnated.text = %reincarnated;
	reincarnated.settext(reincarnated.text);
	sickness.text = getword(%sickness, 1) SPC getword(%sickness, 2) SPC getword(%sickness, 3);
	sickness.settext(sickness.text);
	business.text = %business;
	business.settext(business.text);
}

function clientcmdJJGUI_UpdateNews(%news)
{
	if(%news !$= "")
	{
		if(NewsFeed.text $= "No News To Report At This Time")
		{
			NewsFeed.text = "News Alerts:" @ %news;
			NewsFeed.settext(NewsFeed.text);
		}
		else
		{
			NewsFeed3.text = NewsFeed2.text;
			NewsFeed3.settext(NewsFeed2.text);
			NewsFeed2.text = " - " @ %news;
			NewsFeed2.settext(NewsFeed2.text);

		}
	}
}

function clientcmdlightscene()
{
	lightScene("", "forceAlways");
}